Changeset 517


Ignore:
Timestamp:
Aug 15, 2007 6:42:47 PM (13 years ago)
Author:
andreasw
Message:

allow --enable-doscompile on MinGW/MSys

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Lapack/branches/BSP/trunk/configure

    r510 r517  
    18061806  if test "$enable_doscompile" != no; then
    18071807     case $build in
    1808        *-cygwin*) ;;
    1809        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin" >&5
    1810 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin" >&2;}
     1808       *-cygwin* | *-mingw*) ;;
     1809       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1810echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    18111811   { (exit 1); exit 1; }; } ;;
    18121812     esac
     
    18161816fi;
    18171817 case "$enable_doscompile" in
    1818    msvc|mingw|no) ;;
     1818   mingw)
     1819     case $build in
     1820       *-mingw*) enable_doscompile=no ;;
     1821     esac
     1822     ;;
     1823   msvc|no) ;;
    18191824   yes) enable_doscompile=mingw ;;
    18201825   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     
    32113216
    32123217# Provide some information about the compiler.
    3213 echo "$as_me:3213:" \
     3218echo "$as_me:3218:" \
    32143219     "checking for Fortran 77 compiler version" >&5
    32153220ac_compiler=`set X $ac_compile; echo $2`
     
    53465351*-*-irix6*)
    53475352  # Find out which ABI we are using.
    5348   echo '#line 5348 "configure"' > conftest.$ac_ext
     5353  echo '#line 5353 "configure"' > conftest.$ac_ext
    53495354  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    53505355  (eval $ac_compile) 2>&5
     
    77757780   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77767781   -e 's:$: $lt_compiler_flag:'`
    7777    (eval echo "\"\$as_me:7777: $lt_compile\"" >&5)
     7782   (eval echo "\"\$as_me:7782: $lt_compile\"" >&5)
    77787783   (eval "$lt_compile" 2>conftest.err)
    77797784   ac_status=$?
    77807785   cat conftest.err >&5
    7781    echo "$as_me:7781: \$? = $ac_status" >&5
     7786   echo "$as_me:7786: \$? = $ac_status" >&5
    77827787   if (exit $ac_status) && test -s "$ac_outfile"; then
    77837788     # The compiler can only warn and ignore the option if not recognized
     
    80438048   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80448049   -e 's:$: $lt_compiler_flag:'`
    8045    (eval echo "\"\$as_me:8045: $lt_compile\"" >&5)
     8050   (eval echo "\"\$as_me:8050: $lt_compile\"" >&5)
    80468051   (eval "$lt_compile" 2>conftest.err)
    80478052   ac_status=$?
    80488053   cat conftest.err >&5
    8049    echo "$as_me:8049: \$? = $ac_status" >&5
     8054   echo "$as_me:8054: \$? = $ac_status" >&5
    80508055   if (exit $ac_status) && test -s "$ac_outfile"; then
    80518056     # The compiler can only warn and ignore the option if not recognized
     
    81478152   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81488153   -e 's:$: $lt_compiler_flag:'`
    8149    (eval echo "\"\$as_me:8149: $lt_compile\"" >&5)
     8154   (eval echo "\"\$as_me:8154: $lt_compile\"" >&5)
    81508155   (eval "$lt_compile" 2>out/conftest.err)
    81518156   ac_status=$?
    81528157   cat out/conftest.err >&5
    8153    echo "$as_me:8153: \$? = $ac_status" >&5
     8158   echo "$as_me:8158: \$? = $ac_status" >&5
    81548159   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    81558160   then
     
    1049210497  lt_status=$lt_dlunknown
    1049310498  cat > conftest.$ac_ext <<EOF
    10494 #line 10494 "configure"
     10499#line 10499 "configure"
    1049510500#include "confdefs.h"
    1049610501
     
    1059210597  lt_status=$lt_dlunknown
    1059310598  cat > conftest.$ac_ext <<EOF
    10594 #line 10594 "configure"
     10599#line 10599 "configure"
    1059510600#include "confdefs.h"
    1059610601
     
    1293612941   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1293712942   -e 's:$: $lt_compiler_flag:'`
    12938    (eval echo "\"\$as_me:12938: $lt_compile\"" >&5)
     12943   (eval echo "\"\$as_me:12943: $lt_compile\"" >&5)
    1293912944   (eval "$lt_compile" 2>conftest.err)
    1294012945   ac_status=$?
    1294112946   cat conftest.err >&5
    12942    echo "$as_me:12942: \$? = $ac_status" >&5
     12947   echo "$as_me:12947: \$? = $ac_status" >&5
    1294312948   if (exit $ac_status) && test -s "$ac_outfile"; then
    1294412949     # The compiler can only warn and ignore the option if not recognized
     
    1304013045   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1304113046   -e 's:$: $lt_compiler_flag:'`
    13042    (eval echo "\"\$as_me:13042: $lt_compile\"" >&5)
     13047   (eval echo "\"\$as_me:13047: $lt_compile\"" >&5)
    1304313048   (eval "$lt_compile" 2>out/conftest.err)
    1304413049   ac_status=$?
    1304513050   cat out/conftest.err >&5
    13046    echo "$as_me:13046: \$? = $ac_status" >&5
     13051   echo "$as_me:13051: \$? = $ac_status" >&5
    1304713052   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1304813053   then
     
    1461014615   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1461114616   -e 's:$: $lt_compiler_flag:'`
    14612    (eval echo "\"\$as_me:14612: $lt_compile\"" >&5)
     14617   (eval echo "\"\$as_me:14617: $lt_compile\"" >&5)
    1461314618   (eval "$lt_compile" 2>conftest.err)
    1461414619   ac_status=$?
    1461514620   cat conftest.err >&5
    14616    echo "$as_me:14616: \$? = $ac_status" >&5
     14621   echo "$as_me:14621: \$? = $ac_status" >&5
    1461714622   if (exit $ac_status) && test -s "$ac_outfile"; then
    1461814623     # The compiler can only warn and ignore the option if not recognized
     
    1471414719   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1471514720   -e 's:$: $lt_compiler_flag:'`
    14716    (eval echo "\"\$as_me:14716: $lt_compile\"" >&5)
     14721   (eval echo "\"\$as_me:14721: $lt_compile\"" >&5)
    1471714722   (eval "$lt_compile" 2>out/conftest.err)
    1471814723   ac_status=$?
    1471914724   cat out/conftest.err >&5
    14720    echo "$as_me:14720: \$? = $ac_status" >&5
     14725   echo "$as_me:14725: \$? = $ac_status" >&5
    1472114726   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1472214727   then
     
    1692116926   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1692216927   -e 's:$: $lt_compiler_flag:'`
    16923    (eval echo "\"\$as_me:16923: $lt_compile\"" >&5)
     16928   (eval echo "\"\$as_me:16928: $lt_compile\"" >&5)
    1692416929   (eval "$lt_compile" 2>conftest.err)
    1692516930   ac_status=$?
    1692616931   cat conftest.err >&5
    16927    echo "$as_me:16927: \$? = $ac_status" >&5
     16932   echo "$as_me:16932: \$? = $ac_status" >&5
    1692816933   if (exit $ac_status) && test -s "$ac_outfile"; then
    1692916934     # The compiler can only warn and ignore the option if not recognized
     
    1718917194   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1719017195   -e 's:$: $lt_compiler_flag:'`
    17191    (eval echo "\"\$as_me:17191: $lt_compile\"" >&5)
     17196   (eval echo "\"\$as_me:17196: $lt_compile\"" >&5)
    1719217197   (eval "$lt_compile" 2>conftest.err)
    1719317198   ac_status=$?
    1719417199   cat conftest.err >&5
    17195    echo "$as_me:17195: \$? = $ac_status" >&5
     17200   echo "$as_me:17200: \$? = $ac_status" >&5
    1719617201   if (exit $ac_status) && test -s "$ac_outfile"; then
    1719717202     # The compiler can only warn and ignore the option if not recognized
     
    1729317298   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1729417299   -e 's:$: $lt_compiler_flag:'`
    17295    (eval echo "\"\$as_me:17295: $lt_compile\"" >&5)
     17300   (eval echo "\"\$as_me:17300: $lt_compile\"" >&5)
    1729617301   (eval "$lt_compile" 2>out/conftest.err)
    1729717302   ac_status=$?
    1729817303   cat out/conftest.err >&5
    17299    echo "$as_me:17299: \$? = $ac_status" >&5
     17304   echo "$as_me:17304: \$? = $ac_status" >&5
    1730017305   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1730117306   then
     
    2022220227ac_save_FFLAGS=$FFLAGS
    2022320228FFLAGS="$FFLAGS $ac_verb"
    20224 (eval echo $as_me:20224: \"$ac_link\") >&5
     20229(eval echo $as_me:20229: \"$ac_link\") >&5
    2022520230ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2022620231echo "$ac_f77_v_output" >&5
     
    2030020305ac_save_FFLAGS=$FFLAGS
    2030120306FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    20302 (eval echo $as_me:20302: \"$ac_link\") >&5
     20307(eval echo $as_me:20307: \"$ac_link\") >&5
    2030320308ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2030420309echo "$ac_f77_v_output" >&5
Note: See TracChangeset for help on using the changeset viewer.